# Interface ICefDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDownloadImageCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefBrowserHost.DownloadImage. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_download_image_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDownloadImageCallback

## Overview

### Methods

| `procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);`

## Description

### Methods

| `procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);`
Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed. ###### Attributes GUID['{0C6E9032-27DF-4584-95C6-DC3C7CB63727}']

Generated by PasDoc 0.16.0-snapshot.